export function getLabelForStatus(i18n, request) {
  switch (request.status) {
    case 'requested':
      return (i18n === null || i18n === void 0 ? void 0 : i18n.requested) || 'Requested';
    case 'accepted':
      return (i18n === null || i18n === void 0 ? void 0 : i18n.accepted) || 'Accepted';
    case 'canceled':
      return (i18n === null || i18n === void 0 ? void 0 : i18n.canceled) || 'Canceled';
    case 'rejected':
      return (i18n === null || i18n === void 0 ? void 0 : i18n.rejected) || 'Rejected';
    case 'completed':
      return (i18n === null || i18n === void 0 ? void 0 : i18n.completed) || 'Completed';
    default:
      return '-';
  }
}
export function getTintForStatus(request) {
  switch (request.status) {
    case 'completed':
      return 'secondary';
    case 'accepted':
      return 'secondary';
    case 'requested':
      return 'primary';
    case 'rejected':
      return 'danger';
  }
}
